> ## Documentation Index
> Fetch the complete documentation index at: https://docs.musixmatch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# track.snippet.get

> Get a snippet of the lyrics for a track.

export const PlanIndicator = ({children, plan = []}) => {
  const plans = {
    basic: {
      label: 'Basic',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=basic_button'
    },
    scale: {
      label: 'Grow',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=grow_button'
    },
    scaleNew: {
      label: 'Scale',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=scale_button'
    },
    enterprise: {
      label: 'Enterprise',
      url: 'https://www.musixmatch.com/pro/api/pricing?utm_source=docs&utm_medium=web&utm_content=enterprise_button'
    }
  };
  const icon = <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" fill="#131313" viewBox="0 0 24 24">
      <path fillRule="evenodd" d="M13.804 3.773a.75.75 0 0 1 .911.543l1.012 4a.75.75 0 0 1-.003.382l-3.013 11a.75.75 0 0 1-1.448-.006l-2.908-11a.75.75 0 0 1-.007-.358l.909-4a.75.75 0 1 1 1.463.332l-.868 3.82 2.149 8.128 2.224-8.122-.964-3.808a.75.75 0 0 1 .543-.911Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M3.29 8.5a.75.75 0 0 1 .75-.75h16a.75.75 0 1 1 0 1.5h-16a.75.75 0 0 1-.75-.75Z" clipRule="evenodd" />
      <path fillRule="evenodd" d="M5.24 3.9a1 1 0 0 1 .8-.4h12a1 1 0 0 1 .8.4l3 4a1 1 0 0 1-.026 1.233l-9 11a1 1 0 0 1-1.548 0l-9-11A1 1 0 0 1 2.24 7.9l3-4Zm1.3 1.6L4.31 8.473l7.73 9.448 7.73-9.448L17.54 5.5h-11Z" clipRule="evenodd" />
    </svg>;
  const selectedPlans = Array.isArray(plan) ? plan : [plan];
  if (selectedPlans.length === 1 && selectedPlans[0] === 'basic') return null;
  const href = selectedPlans.length === 1 ? plans[selectedPlans[0]]?.url : 'https://www.musixmatch.com/pro/api/pricing';
  return <>
      <style>{`
        .plan-indicator-no-border {
          border: none !important;
          border-bottom: none !important;
          text-decoration: none !important;
          transition: background-color 0.2s ease;
        }
        .plan-indicator-no-border:hover {
          text-decoration: none !important;
          background-color: #E8E8E8 !important;
        }
      `}</style>
      <a href={href} title="See all Musixmatch API plans" target="_blank" className="plan-indicator-no-border inline-flex items-center gap-1 text-gray-800 px-2 py-1 rounded-lg" style={{
    backgroundColor: '#F4F4F4',
    fontSize: '14px',
    color: '#131313'
  }}>
        {icon}
        {selectedPlans.map((planKey, index) => <span key={planKey}>
            {plans[planKey]?.label}
            {index < selectedPlans.length - 1 && ', '}
          </span>)}
        {children} plan
      </a>
    </>;
};

<PlanIndicator plan={["basic"]} />

At least one of the query parameters must be indicated: **commontrack\_id**, **track\_id**, or **track\_isrc**.

Make sure to fulfill the [country restrictions](/content-restrictions) you receive for every copyrighted content.


## OpenAPI

````yaml get /ws/1.1/track.snippet.get
openapi: 3.0.3
info:
  title: Lyrics API
  description: >-
    These endpoints return metadata about songs and lyrics.  

    For full details, see the [API
    reference](https://docs.musixmatch.com/lyrics-api/introduction) for these
    endpoints.


    To authenticate your API requests and use the endpoints, you need to include
    your API key as a **query parameter** (`apikey`) in every call, like this:


    `GET /ws/1.1/track.get?apikey=YOUR_API_KEY`.


    In Postman, enter your API Key in the **Auth** tab, where it will be
    automatically appended to the request. **Best Practice:** Use **Postman
    Vault** to securely store your key; see the official [Postman
    documentation](https://learning.postman.com/docs/sending-requests/postman-vault/postman-vault-secrets/)
    for details.


    Always keep your API key secure and never share it publicly. If you believe
    your API key has been compromised, contact us immediately at
    `sales@musixmatch.com`.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.musixmatch.com
security:
  - apiKey: []
tags:
  - name: Matcher
    description: >-
      Match an external piece of information (like a title and artist) to a
      track in the Musixmatch catalog to retrieve its track ID, lyrics, or
      syncs.
  - name: Track
    description: >-
      Search for specific songs, and retrieve detailed information about a
      single track, including its lyrics, snippets, translations, and rich sync
      data.
  - name: Artist
    description: >-
      Search for artists, and retrieve detailed information about a specific
      artist, including their discography (albums).
  - name: Album
    description: >-
      Retrieve detailed information about a specific music album, including the
      list of tracks it contains.
  - name: Charts
    description: >-
      Retrieve top-ranking tracks and artists, typically based on country, as
      well as lists of available music genres.
  - name: Enterprise
    description: >-
      **For more details on the Enterprise integration refer to the** [official
      documentation.](https://docs.musixmatch.com/enterprise-integration/introduction)
paths:
  /ws/1.1/track.snippet.get:
    get:
      tags:
        - Track
      summary: track.snippet.get
      description: Get a snippet of the lyrics for a track.
      operationId: trackSnippetGet
      parameters:
        - name: commontrack_id
          in: query
          schema:
            type: string
            example: '178050559'
          description: The Musixmatch commontrack ID.
        - name: track_id
          in: query
          schema:
            type: string
            example: '287164945'
          description: The Musixmatch track ID.
        - name: track_isrc
          in: query
          schema:
            type: string
            example: USUM72401994
          description: A valid ISRC identifier.
        - name: track_spotify_id
          in: query
          schema:
            type: string
            example: 5TfzrLmEHCDULQwnNbkSTZ
          description: A Spotify ID.
        - name: track_itunes_id
          in: query
          schema:
            type: string
            example: '1721054885'
          description: An Apple Music ID.
      responses:
        '200':
          description: 200 OK / 404 Not Found / 401 Unauthorized
          headers:
            Accept-Ranges:
              schema:
                type: string
                example: bytes
            Age:
              schema:
                type: string
                example: '0'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Length:
              schema:
                type: string
                example: '101'
            Date:
              schema:
                type: string
                example: Tue, 04 Feb 2025 16:50:40 GMT
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            Via:
              schema:
                type: string
                example: 1.1 varnish
            X-Cache:
              schema:
                type: string
                example: MISS
            X-Cache-Hits:
              schema:
                type: string
                example: '0'
            X-Served-By:
              schema:
                type: string
                example: cache-iad-kcgs7200094-IAD
            X-Timer:
              schema:
                type: string
                example: S1738687840.428488,VS0,VE9
            x-mxm-cache:
              schema:
                type: string
                example: no-cache
            x-mxm-header-execute-time:
              schema:
                type: string
                example: '0.0019099712371826'
            x-mxm-header-status:
              schema:
                type: string
                example: '401'
            x-mxm-nginx-ingress-controller:
              schema:
                type: string
                example: nginx-cdt-apisite-api
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: object
                    properties:
                      body:
                        anyOf:
                          - type: object
                            properties:
                              snippet:
                                type: object
                                properties:
                                  html_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_html/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAASdJKAFF-6EdSSWgBQMF1MkT6dgSp7ZnspxiAP6OGgn-iM9HW3qqopRNzr7utPcuZj2wT7eaS1LzKKwb1wlbN8ZDSkF023P8jDsRgePmSA_5WihL-9GFIl-IFt0neuIAna5LZgxwoTiY4HrGS9Y_KErzsJxW8v2HNUUknTevuJmyWKVKZyq4jj8r6evHTlpDZASqj-7xLgaTPDNNSyw7flLjPnqZKHXnrj16XWjZZSbvZJ0Es0m3iJ_4HLxqv7W47Gphg_MnZBFE4pAcBsFMKmo-lcPc0n2jxFgaE4OiEP6uQcJIEVSsvxTTNAvpTDYbvpNbtdDsA94VmUvKJQGbkRF02lLSK1fOpq0Oyls9op8RAcP_OViR8xS8mmUQGIHEPVCkXXsWWNedCqJurdNCVjq_2WJ6cH-m8_PuiWbuJ2sYtgqy3KnisjGH__vmzXvIyQS5THr9zRlC92hbBnL0Q/
                                  instrumental:
                                    type: number
                                    example: 0
                                  pixel_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAKJr7xBWcukCV07Cqvoxux6h2McsAWRB40LSwwGaXt4BEDDWBjhq_mrIyfj55Kf0-olxHAxZdZuHbEVGzxdGG5sZhiNG2a4cHpdSqd2oPu1lFnByqbKLUMGU-4h6JKyCQCogxVkv3mS7APRkTe12rgVqDv_DbU0UNkcID1Xf44HBWAZT-JsztlocGxEhMyoN4lRtLVY-on4tcWNyzbX67mWY-hYA9Wg8y1bGiVe453TpYTmGXcjMdwf_lkLKoNegCAQpFaw6WAz7P1NhYKoFkBtEii0lvAfvyxahArkr16GKUTmZt-kj3mUHClSCPItXYcUU5TtAvv1LsjC4DhObH_1khnKlg695I50qHPiJqVhlAq3npOiepWg1pRBe3yTxfubu4RKT8h2hBndnf5jCQSJ63UWp7TjBPDuEtetRpiFSdKs31Xb4l-OfWtCdxJIlXBca4wQC2kjul6bD2DmucA/
                                  region_restriction:
                                    type: object
                                    properties:
                                      allowed:
                                        type: array
                                        items:
                                          type: string
                                          example: XW
                                        example:
                                          - XW
                                      blocked:
                                        type: array
                                        items: {}
                                        example: []
                                  restricted:
                                    type: number
                                    example: 0
                                  script_tracking_url:
                                    type: string
                                    example: >-
                                      https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAF1qvzyuh7O0kN7O90PjTjqMCE6Gdd1sSMdcV6TN_2hzzKcVketEz1QJhDXu8X_CZn7GlirwjhwCiticjLaso0vfLRcL4e7MYDEIa_-jeP-NurEnEZ5twFKCwNXuFGHrVs3IsTOD5RQi2F38rQ93gQQZdYOM3K7IbrLudmWbui_AA-xDu06RZe5X-1-aGKV-PO6lciWcRPCnvO0KEwWgdjlqLavgAyWN4b6iYfKQlczBluuPCQINRjtUS2yvajc1DN7A4A1M6mDxYvIAmTnYs1Zb6VryDEd87AprMRskKSSXBkpxo-EsXl3tXUGQUptcHduBsG9aYnQwsjY9lWFq9OtODOdp6nsgTGMVGzq-O3567tcWKII8VNavT_Dp14OOg2aNXEeiR65AcYExY8v7m9qyEz_uhvQ9WKPhPxJrOqQ8VSWNx8y2cXHC1_iugtX4myhFWAg0lwsijQ1abHInzA/
                                  snippet_body:
                                    type: string
                                    example: But if it's forever, it's even better
                                  snippet_id:
                                    type: number
                                    example: 36997817
                                  snippet_language:
                                    type: string
                                    example: en
                                  updated_time:
                                    type: string
                                    example: '2025-01-23T01:30:54Z'
                          - type: array
                            items: {}
                            example: []
                          - type: array
                            items: {}
                            example: []
                      header:
                        type: object
                        properties:
                          execute_time:
                            type: number
                            example: 0.0088410377502441
                          status_code:
                            type: number
                            example: 200
              examples:
                200 OK:
                  value:
                    message:
                      body:
                        snippet:
                          html_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_html/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAASdJKAFF-6EdSSWgBQMF1MkT6dgSp7ZnspxiAP6OGgn-iM9HW3qqopRNzr7utPcuZj2wT7eaS1LzKKwb1wlbN8ZDSkF023P8jDsRgePmSA_5WihL-9GFIl-IFt0neuIAna5LZgxwoTiY4HrGS9Y_KErzsJxW8v2HNUUknTevuJmyWKVKZyq4jj8r6evHTlpDZASqj-7xLgaTPDNNSyw7flLjPnqZKHXnrj16XWjZZSbvZJ0Es0m3iJ_4HLxqv7W47Gphg_MnZBFE4pAcBsFMKmo-lcPc0n2jxFgaE4OiEP6uQcJIEVSsvxTTNAvpTDYbvpNbtdDsA94VmUvKJQGbkRF02lLSK1fOpq0Oyls9op8RAcP_OViR8xS8mmUQGIHEPVCkXXsWWNedCqJurdNCVjq_2WJ6cH-m8_PuiWbuJ2sYtgqy3KnisjGH__vmzXvIyQS5THr9zRlC92hbBnL0Q/
                          instrumental: 0
                          pixel_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_img/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAKJr7xBWcukCV07Cqvoxux6h2McsAWRB40LSwwGaXt4BEDDWBjhq_mrIyfj55Kf0-olxHAxZdZuHbEVGzxdGG5sZhiNG2a4cHpdSqd2oPu1lFnByqbKLUMGU-4h6JKyCQCogxVkv3mS7APRkTe12rgVqDv_DbU0UNkcID1Xf44HBWAZT-JsztlocGxEhMyoN4lRtLVY-on4tcWNyzbX67mWY-hYA9Wg8y1bGiVe453TpYTmGXcjMdwf_lkLKoNegCAQpFaw6WAz7P1NhYKoFkBtEii0lvAfvyxahArkr16GKUTmZt-kj3mUHClSCPItXYcUU5TtAvv1LsjC4DhObH_1khnKlg695I50qHPiJqVhlAq3npOiepWg1pRBe3yTxfubu4RKT8h2hBndnf5jCQSJ63UWp7TjBPDuEtetRpiFSdKs31Xb4l-OfWtCdxJIlXBca4wQC2kjul6bD2DmucA/
                          region_restriction:
                            allowed:
                              - XW
                            blocked: []
                          restricted: 0
                          script_tracking_url: >-
                            https://tracking.musixmatch.com/t1.0/m_js/e_0/sn_1/l_36997817/su_0/rs_0/tr_3vUCAF1qvzyuh7O0kN7O90PjTjqMCE6Gdd1sSMdcV6TN_2hzzKcVketEz1QJhDXu8X_CZn7GlirwjhwCiticjLaso0vfLRcL4e7MYDEIa_-jeP-NurEnEZ5twFKCwNXuFGHrVs3IsTOD5RQi2F38rQ93gQQZdYOM3K7IbrLudmWbui_AA-xDu06RZe5X-1-aGKV-PO6lciWcRPCnvO0KEwWgdjlqLavgAyWN4b6iYfKQlczBluuPCQINRjtUS2yvajc1DN7A4A1M6mDxYvIAmTnYs1Zb6VryDEd87AprMRskKSSXBkpxo-EsXl3tXUGQUptcHduBsG9aYnQwsjY9lWFq9OtODOdp6nsgTGMVGzq-O3567tcWKII8VNavT_Dp14OOg2aNXEeiR65AcYExY8v7m9qyEz_uhvQ9WKPhPxJrOqQ8VSWNx8y2cXHC1_iugtX4myhFWAg0lwsijQ1abHInzA/
                          snippet_body: But if it's forever, it's even better
                          snippet_id: 36997817
                          snippet_language: en
                          updated_time: '2025-01-23T01:30:54Z'
                      header:
                        execute_time: 0.0088410377502441
                        status_code: 200
                401 Unauthorized:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0019099712371826
                        status_code: 401
                404 Not Found:
                  value:
                    message:
                      body: []
                      header:
                        execute_time: 0.0096499919891357
                        status_code: 404
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: apikey
      in: query

````